%define         anolis_release 2
Name:           sombok
Version:        2.4.0
Release:        %{anolis_release}%{?dist}
Summary:        Unicode Text Segmentation Package
License:        GPLv2+ or Artistic clarified
URL:            https://github.com/hatukanezumi/sombok
Source0:        %{url}/archive/refs/tags/%{name}-%{version}.tar.gz


BuildRequires:  make
BuildRequires:  libthai-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool


%description
Sombok library package performs Line Breaking Algorithm described in Unicode
Standards Annex #14 (UAX #14). East_Asian_Width informative properties defined
by Annex #11 (UAX #11) may be concerned to determine breaking positions. This
package also implements "default" Grapheme Cluster segmentation described in
Annex #29 (UAX #29).

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Documents for %{name}-%{version}-%{release}

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{name}-%{version}


%build
autoreconf -vif
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/libsombok.so.*
%{abidir}/libsombok.dump

%files doc
%doc AUTHORS ChangeLog ChangeLog.REL1 NEWS README README.ja_JP


%files devel
%{_includedir}/sombok*.h
%{_libdir}/libsombok.so
%{_libdir}/pkgconfig/sombok.pc


%changelog
* Wed Mar 1 2023 Heng Qi <hengqi@linux.alibaba.com> - 2.4.0-2
- Add abi files and the doc subpackage.

* Thu Apr 21 2022 yuanhui <yuanhui@linux.alibaba.com> - 2.4.0-1
- Init sombok for anolis os 23
